TshepoSibiya/Controllers/ContentController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TshepoSibiya.Models;
using TshepoSibiya.Models;

namespace TshepoSibiya.Controllers
{
    public class ContentController : Controller
    {
        ApplicationDbContext db = new ApplicationDbContext();

        // GET: /Content/
        [HttpGet]
        public ActionResult Experience()
        {
            return View();
        }
        [HttpPost]
        public ActionResult Experience(int? Id)
        {
            var data = db.Contents.Where(x => x.Technology != null).ToList();
            //System.Threading.Thread.Sleep(2000);
            return Json(data);
        }
    }
}

TshepoSibiya/Views/Content/Experience.cshtml
@model TshepoSibiya.Models.ExperienceModel

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Experience</title>
    <script src="~/Scripts/jquery-1.10.2.js"></script>
</head>
<body>
    @using (Html.BeginForm("Experience", "Content"))
    {
        @Html.AntiForgeryToken()

        <div class="form-horizontal">
            <h4>ExperienceModel</h4>
            <hr />
            @Html.ValidationSummary(true)

            <div class="form-group">
                @Html.LabelFor(model => model.Technology, new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Technology)
                    @Html.ValidationMessageFor(model => model.Technology)
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Description, new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Description)
                    @Html.ValidationMessageFor(model => model.Description)
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.SkillPercentage, new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.SkillPercentage)
                    @Html.ValidationMessageFor(model => model.SkillPercentage)
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(model => model.Years, new { @class = "control-label col-md-2" })
                <div class="col-md-10">
                    @Html.EditorFor(model => model.Years)
                    @Html.ValidationMessageFor(model => model.Years)
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Create" class="btn btn-default" />
                </div>
            </div>
        </div>
    }
    
</body>
</html>